Add or remove items from the Elasticsearch resource keystore
- PATCH /deployments/{deployment_id}/elasticsearch/{ref_id}/keystore
Adds the specified values to the Elasticsearch keystore, or removes the keys for the unspecified values.
Request body
The new settings that will be applied to the keystore of the Elasticsearch resource.
-
secretsmap string to objectrequired -
List of secrets
-
<string>object -
valueobject -
Value of this setting. This can either be a string or a JSON object that is stored as a JSON string in the keystore. NOTE: When the keystore secret is unspecified, it is removed.
-
as_fileboolean -
Stores the keystore secret as a file. The default is false, which stores the keystore secret as string when value is a plain string, or true when value is an object.
Responses
The new contents of the Elasticsearch keystore (or the proposed contents if validate_only is true)
-
secretsmap string to objectrequired -
List of secrets
-
<string>object -
valueobject -
Value of this setting. This can either be a string or a JSON object that is stored as a JSON string in the keystore. NOTE: When the keystore secret is unspecified, it is removed.
-
as_fileboolean -
Stores the keystore secret as a file. The default is false, which stores the keystore secret as string when value is a plain string, or true when value is an object.
- The Deployment specified by {deployment_id} cannot be found. (code:
deployments.deployment_not_found) - The Resource specified by {ref_id} cannot be found. (code:
deployments.deployment_resource_not_found)
We have failed you. (code: deployments.metadata_internal_error)